<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "scheme".
 *
 * @property integer $id
 * @property string $name
 * @property string $baoer
 * @property string $baofei
 * @property string $created_at
 * @property string $updated_at
 */
class Scheme extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'scheme';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'baoer', 'baofei'], 'required'],
            [['baoer', 'baofei'], 'number'],
            [['created_at', 'updated_at'], 'safe'],
            [['name'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'baoer' => 'Baoer',
            'baofei' => 'Baofei',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
